Is this package going to be updated to support for .Net core?

Jul 22, 2016 at 4:40 PM
It seems this package is no longer supported for .Net Core [The newer .Net release from Microsoft]. Any updates on this would be highly appreciated.